SMS Send Template API
Send approved SMS template messages through the External API.
Endpoint
POST /api/v4/external/template-message/sms/send
Base URL:
<https://app.quickreply.ai>
Authentication
This API uses the External Secret Key authentication mechanism.
Include the following headers in every request:
x-client-id
Company ID
Click the profile/account name in the bottom-left corner of the QuickReply dashboard. In the menu that opens, the Company ID is displayed directly below the company name
x-secret-key
Company Secret Key
You can find client-id of your account in Settings > Developers > API credentials
Content-Type
application/json
Request Body
to*
string
Recipient phone number in E.164 format (e.g. +919800000000)
templateId*
string
You can find the template id by clicking on the 3 dots at the right of template block and clicking "Copy Template Id" ID of the approved SMS template
templateParams.bodyParams*
array
Array of template parameter values. The number of parameters must exactly match the template's paramLength.
Note
SMS templates can have:
No parameters (
paramLength: 0)One parameter
Multiple parameters
Supply parameter values in the same order as the template placeholders (
{{1}},{{2}}, ...).
Examples
1. Static Template (No Parameters)
Example template:
2. Single Parameter Template
Example template:
3. Multiple Parameter Template
Example template:
Parameter Examples
The following examples demonstrate supported parameter values.
Numeric Parameter
URL Parameter
Alphanumeric Parameter
Success Response
HTTP 200
conversationId
Conversation created for the SMS message
messageId
Unique identifier of the message
messageStatus
Current status of the message
Error Responses
400
Unknown channel
Invalid channel. Supported: rcs, sms
400
Missing to or templateId
to and templateId are required
400
Invalid phone number
to must be a valid phone number
400
Invalid templateParams
Invalid templateParams
400
Body parameter count does not match template
Body parameter count mismatch: expected N, received M
400
Required parameters not provided
Body requires N parameter(s), but none were provided
400
Template is not approved
Template is not approved (status: ...)
Notes
Only approved SMS templates can be used.
The number of
bodyParamssupplied must exactly match the template's configuredparamLength.Parameters must be provided in the same order as the template placeholders (
{{1}},{{2}},{{3}}, ...).Phone numbers must be provided in E.164 format (for example,
+919800000000).
Last updated